*.o
*.a
*.d
*.cmd
*.log
*.pyc
*.swp
*.swo
*~
build*/
!doc/guides/build
!tests/drivers/build_all
cscope.*
.dir

/*.patch

# The .cache directory will be used to cache toolchain capabilities if
# no suitable out-of-tree directory is found.
.cache

outdir
outdir-*
scripts/basic/fixdep
scripts/gen_idt/gen_idt
doc/_build
doc/doxygen
doc/xml
doc/html
doc/boards
doc/samples
doc/latex
doc/themes/zephyr-docs-theme
sanity-out*
twister-out*
bsim_bt_out
scripts/grub
doc/reference/kconfig/*.rst
doc/doc.warnings
.*project
.settings
.envrc
.vscode
hide-defaults-note
venv
.venv

# Tag files
GPATH
GRTAGS
GTAGS
TAGS
tags

.idea

